| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
IOLink.ImageProperties Class Reference

Hold additionnal info for ImageView data interpretation. More...

Inheritance diagram for IOLink.ImageProperties:

## Public Member Functions
| ImageProperties (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| ImageProperties (ReadonlySpatialCalibrationProperty calibration, ReadonlyImageInfoProperty imageInfo)
| Build a ImageProperties by directly specifying SpatialCalibration and imageInfo properties.
| ImageProperties (ImageProperties other)
string | ToString ()
| Return string representation.
ImageProperties | Clone ()
| Create a copy of the properties instance.
bool | IsCompatibleWith (VectorXu64 shape, DataType type)
| Check if the current properties are compatible with given shape and type.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ImageProperties obj)
static bool | operator== (ImageProperties v1, ImageProperties v2)
static bool | operator!= (ImageProperties v1, ImageProperties v2)
static ImageProperties | FromDataType (DataType dataType)
| Create a property set with all values defaulted, according to a data type.
static ImageProperties | FromProperties (ReadonlySpatialCalibrationProperty calibration, ReadonlyImageInfoProperty imageInfo)
| Build a ImageProperties from a set of properties.
static ImageProperties | FromProperties (ReadonlyImageProperties properties, ReadonlySpatialCalibrationProperty calibration)
| Build a ImageProperties by copying properties from another, except the calibration.
static ImageProperties | FromProperties (ReadonlyImageProperties properties, ReadonlyImageInfoProperty imageInfo)
| Build a ImageProperties by copying properties from another, except the Image info.
static bool | InternalEqual (ImageProperties v1, ImageProperties v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Properties
SpatialCalibrationProperty | Calibration`[get, set]`
| The `SpatialCalibrationProperty` associated with this `ImageProperties` instance.
ImageInfoProperty | ImageInfo`[get, set]`
| The `ImageInfoProperty` associated with this `ImageProperties` instance.

## Detailed Description

Hold additionnal info for ImageView data interpretation.

## Constructor & Destructor Documentation

## ◆ ImageProperties()

IOLink.ImageProperties.ImageProperties | ( | ReadonlySpatialCalibrationProperty | calibration,
|  | ReadonlyImageInfoProperty | imageInfo
| ) |  |
| inline

Build a ImageProperties by directly specifying SpatialCalibration and imageInfo properties.

Parameters

  calibration | SpatialCalibrationProperty to use to initialize ImageProperties
  imageInfo | ImageInfoProperty to use to initialize ImageProperties

## Member Function Documentation

## ◆ FromDataType()

static ImageProperties IOLink.ImageProperties.FromDataType | ( | DataType | dataType | ) |
| inline static

Create a property set with all values defaulted, according to a data type.

Parameters

  dataType | DataType used to build default ImageProperties

In order to build ImageProperties compatible with a specific ImageView, given dataType must be retrieved from this ImageView.

## ◆ FromProperties() [1/3]

static ImageProperties IOLink.ImageProperties.FromProperties | ( | ReadonlyImageProperties | properties,
|  | ReadonlyImageInfoProperty | imageInfo
| ) |  |
| inline static

Build a ImageProperties by copying properties from another, except the Image info.

Parameters

  properties | original ImageProperties to modify with ImageInfo properties
  imageInfo | ImageInfoProperty to set into given ImageProperties

Returns
  new ImageProperties built from given ones and imageInfo

## ◆ FromProperties() [2/3]

static ImageProperties IOLink.ImageProperties.FromProperties | ( | ReadonlyImageProperties | properties,
|  | ReadonlySpatialCalibrationProperty | calibration
| ) |  |
| inline static

Build a ImageProperties by copying properties from another, except the calibration.

Parameters

  properties | original ImageProperties to modify with calibration properties
  calibration | SpatialCalibrationProperty to set into given ImageProperties

Returns
  new ImageProperties built from given ones and calibration

## ◆ FromProperties() [3/3]

static ImageProperties IOLink.ImageProperties.FromProperties | ( | ReadonlySpatialCalibrationProperty | calibration,
|  | ReadonlyImageInfoProperty | imageInfo
| ) |  |
| inline static

Build a ImageProperties from a set of properties.

Parameters

  calibration | SpatialCalibrationProperty to use
  imageInfo | ImageInfoProperty to use

Returns
  ImageProperties built from given calibration and imageInfo properties

## ◆ IsCompatibleWith()

bool IOLink.ImageProperties.IsCompatibleWith | ( | VectorXu64 | shape,
|  | DataType | type
| ) |  |
| inline

Check if the current properties are compatible with given shape and type.

Parameters

  shape | shape of an ImageView
  type | type of an ImageView

Returns
  TRUE if shape and type are compatible with ImageView

The documentation for this class was generated from the following file:

- Release/net/generated/ImageProperties.cs